package net.sevecek.dailyplanet;

import java.util.*;
import org.springframework.beans.factory.annotation.*;
import org.springframework.stereotype.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class HlavniController {

    @Autowired
    private AutorRepository autorRepository;

    @RequestMapping(value = "/hlavni.html", method = RequestMethod.GET)
    public ModelAndView zobrazHlavniStranku() {
        ModelAndView drzacekNaSablonuAData;
        drzacekNaSablonuAData = new ModelAndView(
                "/WEB-INF/view/hlavni.jsp");
        List<Autor> seznamAutoru = autorRepository.findAll();
        drzacekNaSablonuAData.addObject("autori", seznamAutoru);
        return drzacekNaSablonuAData;
    }

}
