<%@page contentType="text/html;charset=UTF-8" language="java"
%><%@taglib prefix="jstl" uri="http://java.sun.com/jsp/jstl/core"
%><%@taglib prefix="spring" uri="http://www.springframework.org/tags/form"
%><!doctype html>

<jsp:useBean id="autori"
             type="java.util.List<net.sevecek.dailyplanet.Autor>"
             scope="request"/>

<jstl:url var="cssLink" value="/css/styly.css"/>            <%-- jstl:url je zpusob jak ziskat absolutni adresu na soubor v ramci webove aplikaci. Pak lze pouzit ${cssLink} --%>
<jstl:url var="faviconLink" value="/images/favicon.png"/>   <%-- v absolutni adrese bude totiz zohledneno jmeno webove aplikace, napr. /MujWeb  --%>
<jstl:url var="rootLink" value="/"/>

<html lang="cs">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="${cssLink}"/>
    <link rel="icon" href="${faviconLink}"/>
    <title>Evidence novinových článků | Daily Planet</title>
</head>
<body>
    <div class="page">
        <h1>Seznam autorů článků</h1>

        <table>
            <tr>
                <th>Křestní jméno</th>
                <th>Příjmení</th>
                <th>Email</th>
                <th>Telefon</th>
            </tr>

            <jstl:forEach var="autor" items="${autori}">
            <tr>
                <td>${autor.krestniJmeno}</td>
                <td>${autor.prijmeni}</td>
                <td>${autor.email}</td>
                <td>${autor.telefon}</td>
            </tr>
            </jstl:forEach>
        </table>
    </div>
</body>
</html>
